PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Fields
DAC_STA_Type Struct Reference

## Description

DAC static configuration registers (DAC_STA)

## Data Fields
__IOM uint32_t | CTRL
__IOM uint32_t | SAMPLE_TIME
__IOM uint32_t | STEP_VAL [3]
__IM uint32_t | RESERVED
__IOM uint32_t | DEGLITCH_TIME
__IM uint32_t | RESERVED1
__IOM uint32_t | CHAN_CFG [15]
__IM uint32_t | RESERVED2
__IOM uint32_t | FW_DAC_VAL
__IOM uint32_t | FW_DAC_VAL_NXT
__IM uint32_t | RESERVED3 [2]
__IOM uint32_t | CHAN_STATUS_CFG [3]
__IM uint32_t | RESERVED4
__IOM uint32_t | RANGE_STATUS
__IM uint32_t | RESERVED5 [95]

## Field Documentation

## ◆ CTRL

__IOM uint32_t DAC_STA_Type::CTRL

0x00000000 DAC control register (only accessible if ACTRLR.STATUS.MODE=0)

## ◆ SAMPLE_TIME

__IOM uint32_t DAC_STA_Type::SAMPLE_TIME

0x00000004 Sample control register (only accessible if ACTRLR.STATUS.MODE=0)

## ◆ STEP_VAL

__IOM uint32_t DAC_STA_Type::STEP_VAL[3]

0x00000008 step val register (only accessible if ACTRLR.STATUS.MODE=0)

## ◆ RESERVED

__IM uint32_t DAC_STA_Type::RESERVED

## ◆ DEGLITCH_TIME

__IOM uint32_t DAC_STA_Type::DEGLITCH_TIME

0x00000018 deglitch time register (only accessible if ACTRLR.STATUS.MODE=0)

## ◆ RESERVED1

__IM uint32_t DAC_STA_Type::RESERVED1

## ◆ CHAN_CFG

__IOM uint32_t DAC_STA_Type::CHAN_CFG[15]

0x00000020 Channel configuration register (only accessible if ACTRLR.STATUS.MODE=0)

## ◆ RESERVED2

__IM uint32_t DAC_STA_Type::RESERVED2

## ◆ FW_DAC_VAL

__IOM uint32_t DAC_STA_Type::FW_DAC_VAL

0x00000060 Firmare Channel DAC Value (only accessible if ACTRLR.STATUS.MODE=0)

## ◆ FW_DAC_VAL_NXT

__IOM uint32_t DAC_STA_Type::FW_DAC_VAL_NXT

0x00000064 Firmware Channel DAC Value Next

## ◆ RESERVED3

__IM uint32_t DAC_STA_Type::RESERVED3[2]

## ◆ CHAN_STATUS_CFG

__IOM uint32_t DAC_STA_Type::CHAN_STATUS_CFG[3]

0x00000070 Channel status configuration register

## ◆ RESERVED4

__IM uint32_t DAC_STA_Type::RESERVED4

## ◆ RANGE_STATUS

__IOM uint32_t DAC_STA_Type::RANGE_STATUS

0x00000080 Range status register

## ◆ RESERVED5

__IM uint32_t DAC_STA_Type::RESERVED5[95]